Bug 1257492 - Various pedantic docker man page tweaks.
Various pedantic docker man page tweaks.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: docker (Show other bugs)
22
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Sally
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-27 04:05 EDT by Robert P. J. Day
Modified: 2016-07-19 16:13 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:13:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert P. J. Day 2015-08-27 04:05:26 EDT
(Not sure if I've reported any of these before so ... enjoy.)

docker-attach:
-------------

* SYNOPSIS
       docker attach [--help]/ ...
                             ^ ??? (what's with the slash?)

docker-commit:
-------------

* SYNOPSIS
       docker  commit  [-a|--author[=AUTHOR]]  [--help]  [-c|--change[= []]] [-m|--message[=MESSAGE]] ...

       - you lose the proper bolding starting at "-m|--message", just verify
         proper font/rendering of entire SYNOPSIS

docker-export:
-------------

OPTIONS
       --help
         Print usage statement -o, --output=""
          Write to a file, instead of STDOUT

  - formatting of above is screwed up, and that option is not mentioned
    in the SYNOPSIS

docker-history:
--------------

  - SYNOPSIS missing -H|--human option

docker-import:
-------------

  - weird stuff going on with SYNOPSIS, then OPTIONS, then DESCRIPTION, then
    back to OPTIONS. Also bolding issue in SYNOPSIS.
  - In NAME line, there's a reference to".bzip" tarballs; pretty sure you
    mean .bz2, no? Or maybe .zip?

docker-inspect:
--------------

  - Entire -r,--remote section under OPTIONS has broken formatting.
  - Under EXAMPLES, "where image name [conflict] sic"

docker-rename:
-------------

  More a question -- does rename work for both running and non-running
  containers? That would be useful to mention.

docker-rm:
---------

  EXAMPLES
       ##Removing a container using its ID##
       ^^ font issue, this line and further down

docker-rmi:
----------

  If you force the removal of the image for a running container, what happens
  to the container? That might be useful to mention here.

docker-search:
-------------

  SYNOPSIS is missing --no-index option.

docker-stats:
------------

  SYNOPSIS is missing --no-stream option.

docker-tag:
----------

  List of OPTIONS is missing --help. Wait, why are there two OPTIONS
  sections, both mentioning -f,--force?

  That should do for now.
Comment 1 Robert P. J. Day 2015-08-30 04:00:11 EDT
Let me throw in one more bit of nitpickery here -- from:

  $ man docker-search

       -s, --stars=0
          Only displays with at least x stars

  For consistency with other man pages, that might read:

       -s, --stars=X
           Only display with at least X stars. The default is zero.

Otherwise, the reference to "x" is kind of hanging out there all
by its lonesome.
Comment 2 Robert P. J. Day 2015-08-30 04:02:40 EDT
Hang on, not sure I've reported this before but still with:

  $ man docker-search

the second example claims:

  Search Docker Hub for automated images
       Search Docker Hub for the term 'fedora' and only display automated
       images ranked 1 or higher:

              $ docker search -s 1 fedora

Pretty sure that command needs an "--automated" option, no?
Comment 3 Daniel Walsh 2015-09-28 14:14:26 EDT
Sally can you fix this one ^^
Comment 4 Sally 2015-10-13 04:37:22 EDT
https://github.com/docker/docker/pull/16726 merged
Comment 5 Daniel Walsh 2015-10-13 09:41:15 EDT
Sally does that mean all of these are fixed now?  

Can we mark this modified and fixed in docker-1.9?
Comment 6 Sally 2015-10-13 10:18:45 EDT
(In reply to Daniel Walsh from comment #5)
> Sally does that mean all of these are fixed now?  
> 
> Can we mark this modified and fixed in docker-1.9?

I'll check that they are all resolved...
Comment 7 Sally 2015-10-13 11:57:30 EDT
https://github.com/docker/docker/pull/16981 submitted
This PR addresses the rest of the issues in this bug except:
1) man/docker-search - deprecated --no-index? no longer there
2) man/docker-rmi - force remove image of running container - no change bc an informative error msg is displayed when one tries to do this.
Comment 8 Sally 2015-10-13 15:21:15 EDT
https://github.com/docker/docker/pull/16981 merged
Comment 9 Michal Minar 2015-10-14 03:05:55 EDT
> 1) man/docker-search - deprecated --no-index? no longer there

This is RHEL only, never made it to upstream.
Comment 10 Daniel Walsh 2015-10-14 09:49:13 EDT
Ok as long as we have the --no-index in the package and  the man page for RHEL and Fedora packages. we are good.

Robert I am going to close this bug as modified/fixed in docker-1.9  If you get a chance to review the changes their that would be great.  

BTW Thanks for all the work you have done to clean up the man pages.
Comment 11 Lokesh Mandvekar 2016-02-16 12:38:56 EST
Putting this ON_QA so we can close it out soon. The updates with this fix are already in stable. We have 1.10.1 in testing repos right now.
Comment 12 Fedora End Of Life 2016-07-19 16:13:13 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.